Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/src/Decod_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/src/Decod_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/src/Decod_unit.cpp	(revision 138)
@@ -72,5 +72,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -84,7 +84,7 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
+
     log_end(Decod_unit,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/src/Ifetch_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/src/Ifetch_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/src/Ifetch_unit.cpp	(revision 138)
@@ -70,5 +70,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -82,7 +82,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Ifetch_unit,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Branch_Target_Buffer,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp	(revision 138)
@@ -68,5 +68,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -80,7 +80,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(Meta_Predictor,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Direction,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp	(revision 138)
@@ -70,5 +70,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -82,7 +82,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Prediction_unit,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(Front_end,FUNCTION);
   };
